# Swagger Spec Validator

## Introduction

Swagger Spec Validator is a Python library that validates Swagger Specs against the Swagger 1.2 or Swagger 2.0 specification. The validator aims to check for full compliance with the Specification.

## Frequently Asked Questions

### Is the API stable?

Probably not. However, it is currently very simple, so it shouldn’t be hard to upgrade code if there’s a non backwards-compatible change.

## API

class swagger_spec_validator.SwaggerValidationError

  Exception raised in case of a validation error.

swagger_spec_validator.validate_spec_url(spec_url)

  Validates a Swagger spec given its URL.

  Parameters

    spec_url – For Swagger 1.2, this is the URL to the resource listing in api-docs. For Swagger 2.0, this is the URL to swagger.json in api-docs. If given as `file://`, this must be an absolute url for cross-refs to work correctly.

- Changelog